version 9.0
set more off
capture log close
log using "C:\fd-data\stationarity.log", replace
* *** tests of stationarity
use "C:\fd-data\fd-long.dta", clear
* * data set on base of mean values
tsset year
dfuller growth
dfuller unemp
dfuller infl
dfuller govsize
dfuller socexp
dfuller budgdef
version 7.0
graph unemp year, c(l)
save punemp.gph, replace
graph infl year, c(l)
save pinfl.gph, replace
graph govsize year, c(l)
save pgovsize.gph, replace
graph socexp year, c(l)
save psocexp.gph, replace
graph budgdef year, c(l)
save pbudgdef.gph, replace
version 9.0
dfuller lnunemp
version 7.0
graph lnunemp year, c(l)
save plnunemp.gph, replace
version 9.0
dfuller lninfl
dfuller lngovsize
dfuller lnsocexp
dfuller D.unemp
dfuller D.infl
dfuller D.govsize
dfuller D.socexp
dfuller D.budgdef
* *** tests of autocorrelation
reg growth L1.growth
estat dur
gen dunemp = D.unemp
reg D.unemp L1.dunemp
estat dur
gen dinfl = D.infl
reg D.infl L1.dinfl
estat dur
gen dbudgdef = D.budgdef
reg D.budgdef L1.dbudgdef
estat dur
log close
